version: '3'

services:
  server:
    image: node:20
    restart: always
    working_dir: /app
    command: bash -c "npm install && npm run start"
    environment:
      MYSQL_USER: ${MYSQL_USER}
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_HOST: ${MYSQL_HOST}
      MYSQL_DATABASE_NAME: ${MYSQL_DATABASE_NAME}
    volumes:
      - ./server:/app
    networks:
      reverse_proxy: